Subject: Re: gitk/git-gui misfeature: saving the geometry can the window out of reach

From: "Shawn O. Pearce" <[email-masked]>
Date: Sun, 11 Nov 2007 00:11:29 -0500

Benoit Sigoure <[email-masked]> wrote:
> gitk (and I think git-gui too) save their "geometry" (which includes  
> X/Y position) in ~/.gitk.  So far so good.  The problem is that I  
> often use 2 screens at work (one is the screen of my laptop, the  
> other one is above) and I happen to put my gitk/git-gui windows on  
> the 2nd screen.  When I go back home, I don't have a second screen  
> and gitk/git-gui open their windows out of reach.  This could well be  
> an ugly wart in Apple's port of Tcl/Tk (I have a MacBook with OSX  
> 10.4.10) or a more general problem (didn't try with other OSes).
> 
> git-gui version 0.8.4
> git version 1.5.3.5.654.gdd5ec (tonight's master's HEAD)
> Tcl/Tk version 8.4.7 (Apple's)
> (gitk doesn't support --version!)
> 
> For those struggling with the same problem, here is a quick workaround:
>   gnused -i /geometry/d ~/.gitk

Actually git-gui saves the geometry to .git/config so I'm not sure
why the sed line above would correct git-gui's display issues.  But I
have also noticed this problem on my Mac OS X laptop when running
again after leaving either git-gui or gitk on the external display.

I once started working on a fix for git-gui but put it aside as I
didn't have an external monitor handy.  I haven't hooked one up to
my laptop in months so it would be a bit of work for me to test
and debug.

-- 
Shawn.